Page 2 of 2 FirstFirst 12
Results 11 to 14 of 14

Thread: ANSYS 12.1 installation error on Ubuntu 9.10

  1. #11
    Join Date
    Feb 2008
    Location
    Italy
    Beans
    34
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: ANSYS 12.1 installation error on Ubuntu 9.10

    Hi all,
    I post here my experience with Ansys 14 and ubuntu 12.04 hoping it can be of help.

    After installing, with lsb package installed you have to start correctly the license manager. In my case flexlm was not starting, so I had to build a script wrapping the startup of ansys where I manually started lmgrd. Then Design modeler was not working so I had to download the following packages from oneiric and extract the libraries (not install!) in /yourinstallationpath/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized

    libxext6
    libxrender1
    libxfixes3

    Here is the final wrapping script:
    #!/bin/sh
    case "$1" in
    'start')
    LM_RUN=`ps -e | grep lmgrd`
    AS_RUN=`ps -e | grep ansysli_server`
    if [ "$LM_RUN" = "" ]; then
    /yourinstallationpath/shared_files/licensing/linx64/lmgrd -c /yourinstallationpath/shared_files/licensing/license.dat #choose the path where your license.dat stays
    fi
    if [ "$AS_RUN" = "" ]; then
    /yourinstallationpath/shared_files/licensing/start_ansysli
    fi
    ;;
    'stop')
    /yourinstallationpath/shared_files/licensing/stop_ansysli
    ;;
    *)
    LM_RUN=`ps -e | grep lmgrd`
    AS_RUN=`ps -e | grep ansysli_server`
    if [ "$LM_RUN" = "" ]; then
    /yourinstallationpath/licensing/linx64/lmgrd -c /yourinstallationpath/shared_files/licensing/license.dat
    fi
    if [ "$AS_RUN" = "" ]; then
    /yourinstallationpath/licensing/start_ansysli
    fi
    LD_LIBRARY_PATH=/yourinstallationpath/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized:$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH
    uname26 /yourinstallationpath/v140/Framework/bin/Linux64/runwb2
    ;;
    esac

    Lost one week of my life for this problem!
    Bye
    Be free! Use your mind!

  2. #12
    Join Date
    Sep 2012
    Beans
    1

    Exclamation Re: ANSYS 12.1 installation error on Ubuntu 9.10

    Hi guys,

    I followed all the instruction on this thread (copying the libs form oneiric) and also from cfdonline, but nothing.

    I was able to run cfx and icemcfd and the licence manager without any problem.

    I have the same issue launching form WB the Geometry Modeler and Mesher.
    I m using ansys 14 on ubuntu 12.04.

    Please let me know a robust procedure to run the geometry modeler.

    Thanks a lot!

  3. #13
    Join Date
    Feb 2008
    Location
    Italy
    Beans
    34
    Distro
    Ubuntu 10.10 Maverick Meerkat

    Re: ANSYS 12.1 installation error on Ubuntu 9.10

    Hi all,
    I come back after a long time with some other tips.
    I switched to Arch Linux because I wanted a rolling release and was not afraid of extra configuration and tweaking.
    So beautiful distro, by the way I installed Unity because I find it awesome..
    But no clue how to install ANSYS 14... better I was able to install it but the design modeler was not starting.
    So after other 4 days of hacking, and no help from internet, I was able to get everything working.
    Compared to the previous post for Ubuntu there are some extra tweaking:
    1) create the script /usr/bin/arch which simply echoes your architecture:
    #! /bin/bash
    uname -m

    2) create the script /usr/bin/rpm which echoes your glibc version
    #!/bin/bash
    echo glibc-2.17

    3) start the installation script with the following command, which fakes the installer thinking there is a 2.6.x kernel
    setarch x86_64 --uname-2.6 /path/to/installer

    3) Install in the usual position, /opt/ansys/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized, the missing old libraries
    /opt/ansys/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized/libXext.so.6
    /opt/ansys/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized/libXext.so.6.4.0
    /opt/ansys/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized/libXfixes.so.3
    /opt/ansys/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized/libXfixes.so.3.1.0
    /opt/ansys/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized/libXrender.so.1
    /opt/ansys/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized/libXrender.so.1.3.0
    You can take the oneiric packages

    4) create the script /usr/bin/ansys
    #!/bin/sh
    case "$1" in
    'start')
    LM_RUN=`ps -e | grep lmgrd`
    AS_RUN=`ps -e | grep ansysli_server`
    if [ "$LM_RUN" = "" ]; then
    /opt/ansys/shared_files/licensing/linx64/lmgrd -c /opt/ansys/shared_files/licensing/license.dat
    fi
    if [ "$AS_RUN" = "" ]; then
    /opt/ansys/shared_files/licensing/start_ansysli
    fi
    ;;
    'stop')
    /opt/ansys/shared_files/licensing/stop_ansysli
    ;;
    *)
    LM_RUN=`ps -e | grep lmgrd`
    AS_RUN=`ps -e | grep ansysli_server`
    if [ "$LM_RUN" = "" ]; then
    /opt/ansys/shared_files/licensing/linx64/lmgrd -c /opt/ansys/shared_files/licensing/license.dat
    fi
    if [ "$AS_RUN" = "" ]; then
    /opt/ansys/shared_files/licensing/start_ansysli
    fi
    #Necessary for Ubuntu
    LD_LIBRARY_PATH=/opt/ansys/v140/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized:$LD_LIBRARY_PATH
    export LD_LIBRARY_PATH
    setarch x86_64 --uname-2.6 /opt/ansys/v140/Framework/bin/Linux64/runwb2
    ;;
    esac
    That's all. It worked for me.
    Hope it is useful also for the others

    Be free Use your mind
    Gianluca
    Be free! Use your mind!

  4. #14
    Join Date
    Sep 2013
    Beans
    3

    Re: ANSYS 12.1 installation error on Ubuntu 9.10

    Hi there.

    I really really need your help.

    I am not a new user to ubuntu, but all I have been doing is running matlab and C++ code.
    My intentions are to install ANSYS on Ubuntu12.04 on one of the computers in my lab.
    I followed your instructions on the above posts, but it didn't quite work for me.

    Here is what I did:

    1. Installed Ubuntu 12.04LTS on the system.
    2. Ran an update & installed 'lsb' package.
    3. Downloaded & Installed ICEMCFD1457_LINX64. I was promted with installation of license manager which I installed too.

    What I expected after doing this was to be able to run the file "/home/siva/ansys_inc/v145/icemcfd/linux64_amd/bin/icemcfd"
    When I tried to run it, nothing happened. The computer remained silent as if it wasn't supposed to do anything.

    4. Then I downloaded the files "libxfixes3_5.0-4ubuntu1newyork1_amd64.deb", "libxrender1_0.9.6-2_amd64.deb", "libxext6_1.3.0-3_amd64.deb".
    Extracted them and copied the files "libXfixes.so.3.1.0", "libXrender.so.1.3.0" & "libXext.so.6.4.0" to the location:
    "/home/siva/ansys_inc/v145/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized".

    5. I carefully ran your script and got the following results:

    $ #!/bin/sh
    $ case "$1" in
    > 'start')
    > LM_RUN=`ps -e | grep lmgrd`
    > AS_RUN=`ps -e | grep ansysli_server`
    > if [ "$LM_RUN" = "" ]; then
    > /home/siva/ansys_inc/shared_files/licensing/linx64/lmgrd -c /home/siva/ansys_inc/shared_files/licensing/license.dat
    > fi
    > if [ "$AS_RUN" = "" ]; then
    > /home/siva/ansys_inc/shared_files/licensing/start_ansysli
    > fi
    > ;;
    > 'stop')
    > /home/siva/ansys_inc/shared_files/licensing/stop_ansysli
    > ;;
    > *)
    > LM_RUN=`ps -e | grep lmgrd`
    > AS_RUN=`ps -e | grep ansysli_server`
    > if [ "$LM_RUN" = "" ]; then
    > /home/siva/ansys_inc/shared_files/licensing/linx64/lmgrd -c /home/siva/ansys_inc/shared_files/licensing/license.dat
    > fi
    > if [ "$AS_RUN" = "" ]; then
    > /home/siva/ansys_inc/shared_files/licensing/start_ansysli
    > fi
    > LD_LIBRARY_PATH=/home/siva/ansys_inc/v145/commonfiles/MainWin/linx64/mw/lib-amd64_linux_optimized:$LD_LIBRARY_PATH
    > uname26 /home/siva/ansys_inc/v145/Framework/bin/Linux64/runwb2
    > ;;
    > esac
    16:04:58 (lmgrd) -----------------------------------------------
    16:04:58 (lmgrd) Please Note:
    16:04:58 (lmgrd)
    16:04:58 (lmgrd) This log is intended for debug purposes only.
    16:04:58 (lmgrd) In order to capture accurate license
    16:04:58 (lmgrd) usage data into an organized repository,
    16:04:58 (lmgrd) please enable report logging. Use Flexera Software, Inc.'s
    16:04:58 (lmgrd) software license administration solution,
    16:04:58 (lmgrd) FLEXnet Manager, to readily gain visibility
    16:04:58 (lmgrd) into license usage data and to create
    16:04:58 (lmgrd) insightful reports on critical information like
    16:04:58 (lmgrd) license availability and usage. FLEXnet Manager
    16:04:58 (lmgrd) can be fully automated to run these reports on
    16:04:58 (lmgrd) schedule and can be used to track license
    16:04:58 (lmgrd) servers and usage across a heterogeneous
    16:04:58 (lmgrd) network of servers including Windows NT, Linux
    16:04:58 (lmgrd) and UNIX. Contact Flexera Software, Inc. at
    16:04:58 (lmgrd) www.flexerasoftware.com for more details on how to
    16:04:58 (lmgrd) obtain an evaluation copy of FLEXnet Manager
    16:04:58 (lmgrd) for your enterprise.
    16:04:58 (lmgrd)
    16:04:58 (lmgrd) -----------------------------------------------
    16:04:58 (lmgrd)
    16:04:58 (lmgrd)
    16:04:58 (lmgrd) Can't make directory /usr/tmp/.flexlm, errno: 2(No such file or directory)
    16:04:58 (lmgrd) license manager: can't initialize:Cannot find license file.
    16:04:58 (lmgrd) The license files (or license server system network addresses) attempted are
    16:04:58 (lmgrd) listed below. Use LM_LICENSE_FILE to use a different license file,
    16:04:58 (lmgrd) or contact your software provider for a license file.
    16:04:58 (lmgrd) Filename: "/usr/local/flexlm/licenses/license.dat"
    16:04:58 (lmgrd) License Path: "/usr/local/flexlm/licenses/license.dat"
    16:04:58 (lmgrd) FLEXnet Licensing error:-1,359
    16:04:58 (lmgrd) System Error:2 No such file or directory
    16:04:58 (lmgrd) For further information, refer to the FLEXnet Licensing documentation,available at "www.flexerasoftware.com".
    16:04:58 (lmgrd) Using license file "/usr/local/flexlm/licenses/license.dat"
    uname26: command not found

    _____________________________

    I am still unable to run icemcfd.

    I will be grateful to you if you can help me in doing this.
    Firstly, I really want to be able to launch the 'icemcfd' file.

    Many thanks.

Page 2 of 2 FirstFirst 12

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •